JTree.TreeSelectionRedirector (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class JTree.TreeSelectionRedirector

    java.lang.Object
      |
      +--javax.swing.JTree.TreeSelectionRedirector

All Implemented Interfaces:
  EventListener, Serializable, TreeSelectionListener

Enclosing class:
  JTree

protected class JTree.TreeSelectionRedirector
extends Object
implements Serializable, TreeSelectionListener

Handles creating a new `TreeSelectionEvent` with the `JTree` as the source and passing it off to all the listeners.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeansTM has been added to the `java.beans` package. Please see `XMLEncoder`.

Constructor Summary
`protected` | `JTree.TreeSelectionRedirector()`

Method Summary
`void` | `valueChanged(TreeSelectionEvent e)` Invoked by the `TreeSelectionModel` when the selection changes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JTree.TreeSelectionRedirector

    protected JTree.TreeSelectionRedirector()

Method Detail

### valueChanged

    public void valueChanged(TreeSelectionEvent e)

  Invoked by the `TreeSelectionModel` when the selection changes.

  Specified by:
    `valueChanged` in interface `TreeSelectionListener`
  Parameters:
    `e` - the `TreeSelectionEvent` generated by the `TreeSelectionModel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.